<?php
  //
  // Copyright Dipl.-Ing. Uwe Klatt 2012 (13.7.2012)
  //
  $ini = parse_ini_file("setup/settings.inc",FALSE);
  $font_file = './font2.ttf';
  $date = date("Ymd");
  $col = hexdec('0x'.$ini['pv_col']);
  $mul = floatval($ini['pv_mul']);

  include 'helper.inc';
  include("sonne.class.php");

  $image = imagecreatefrompng("./pic/day.png");

  $black = imagecolorallocate($image, 0, 0, 0);
  $yellow = imagecolorallocate($image, 250, 250, 0);
  $red = imagecolorallocate($image, 250, 0, 0);
  $green = imagecolorallocate($image, 0, 255, 0);
  $col = imagecolorallocate($image, $col>>16,($col>>8)&255,$col&255);
  $px = imagesx($image);
  $ymax = 1000*$ini['pv_kwp'];
  $x0 = 43;
  $y0 = 380;
  $dx = 528;
  $dy = 352;

  get_data($date,-1,0,"E-Total");
  for($i=0;$i<102;$i++)
  {
    $w = 6*$mul*($daten[$i+30]-$daten[$i+30-1]);
    if(($w<0) || ($w>60000))
      $w = 0;
    $val[$i] = $w;
    if($val[$i])
      imagefilledrectangle($image,$x0+$i*$dx/102,$y0,$x0+($i+1)*$dx/102,$y0-$val[$i]*$dy/$ymax,$col);
  }

  $tag = sprintf("%.2f kWh",$tagesertrag/1000);  // kWh
  $tageseuro = sprintf("%.2f",$tagesertrag/1000*$ini['pv_euro']/100);  // Euro
  $kwp_tagesertrag = sprintf("%.2f kWh/kWp",$tagesertrag/1000/$ini['pv_kwp']);  // kWh/kWp
  $black = imagecolorallocate($image, 0, 0, 0);
  $white = imagecolorallocate($image, 255, 255, 255);
  imagefttext($image,30 , 0, 44, 60, $black, $font_file, $kwp_tagesertrag);
  imagefttext($image,30 , 0, 44, 95, $black, $font_file, $tag);
  //imagefttext($image,30 , 0, 44, 130, $black, $font_file, $tageseuro.' EUR');

  $receive1 = logger("GETPAR;0;0;Pac;Status");
  $daten1 = explode(";",$receive1);
  $pac = $daten1[0]*$mul;
  $status1 = $daten1[1];
  if($status1 == 'Offset')
    $status1 = 'AUS';
  $status = $status1;
  if(strlen($ini['wr2_sn']) > 3)
  {
    $receive2 = logger("GETPAR;1;0;Pac;Status");
    $daten2 = explode(";",$receive2);
    $pac += $daten2[0]*$mul;
    $status2 = $daten2[1];
    if($status2 == 'Offset')
      $status2 = 'AUS';
    $status .= '|'.$status2;
  }
  if(strlen($ini['wr3_sn']) > 3)
  {
    $receive3 = logger("GETPAR;2;0;Pac;Status");
    $daten3 = explode(";",$receive3);
    $pac += $daten3[0]*$mul;
    $status3 = $daten3[1];
    if($status3 == 'Offset')
      $status3 = 'AUS';
    $status .= '|'.$status3;
  }
  if(strlen($ini['wr4_sn']) > 3)
  {
    $receive4 = logger("GETPAR;3;0;Pac;Status");
    $daten4 = explode(";",$receive4);
    $pac += $daten4[0]*$mul;
    $status4 = $daten4[1];
    if($status4 == 'Offset')
      $status4 = 'AUS';
    $status .= '|'.$status4;
  }
  if(strlen($ini['wr5_sn']) > 3)
  {
    $receive5 = logger("GETPAR;4;0;Pac;Status");
    $daten5 = explode(";",$receive5);
    $pac += $daten5[0]*$mul;
    $status5 = $daten5[1];
    if($status5 == 'Offset')
      $status5 = 'AUS';
    $status .= '|'.$status5;
  }
  if(strlen($ini['wr6_sn']) > 3)
  {
    $receive6 = logger("GETPAR;5;0;Pac;Status");
    $daten6 = explode(";",$receive6);
    $pac += $daten6[0]*$mul;
    $status6 = $daten6[1];
    if($status6 == 'Offset')
      $status6 = 'AUS';
    $status .= '|'.$status6;
  }
  $text = sprintf("%.0f W",$pac);
  $bbox = imageftbbox(30, 0, $font_file, $text);
  imagefttext($image,30 , 0, 564-$bbox[4], 60, $black, $font_file, $text);

  $bbox = imageftbbox(30, 0, $font_file, $status);
  imagefttext($image,30 , 0, 564-$bbox[4], 95, $black, $font_file, $status);
/*
  $receive = logger("GETPAR;".$nwr.";0;P");
  $aktuell = explode(";",$receive);
  $p1 = $aktuell[0];    // P
  $receive = logger("GETPAR;".$nwr.";1;P");
  $aktuell = explode(";",$receive);
  $p2 = $aktuell[0];    // P
  $receive = logger("GETPAR;".$nwr.";2;P");
  $aktuell = explode(";",$receive);
  $p3 = $aktuell[0];    // P
  $pges = $p1+$p2+$p3;
  $text = sprintf("%.0f W",$pges);
  $bbox = imageftbbox(30, 0, $font_file, $text);
  if($pges < 0)
    imagefttext($image,30 , 0, 564-$bbox[4], 130, $green, $font_file, $text);
  else
    imagefttext($image,30 , 0, 564-$bbox[4], 130, $red, $font_file, $text);
*/
  header('content-type: image/jpeg');
  imagejpeg($image,NULL,100);
  imagedestroy($image);
?>

